### File

`packages/ecl/components/ecl-checkbox/ecl-checkbox-input.directive.ts`

### Description

Directive that decorates the native checkbox input with ECL styles and syncs validation state.

### Extends

`ECLBaseDirective`

### Implements

`DoCheck`

### Metadata

Selector | `input[eclCheckboxInput]`

### Index

###### Properties
Public eclCheckbox
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Constructor

`constructor(eclCheckbox: EclCheckboxDirective, ngControl: NgControl)`
Parameters :
Name | Type | Optional
eclCheckbox | `EclCheckboxDirective` | No
ngControl | `NgControl` | No

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Applies base CSS classes for checkbox input.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

Public eclCheckbox
Type : `EclCheckboxDirective`
Decorators : `@Inject(undefined)`
Parent checkbox directive controlling this input.

### Accessors

cssClasses
get `cssClasses()`
Applies base CSS classes for checkbox input. Returns : `string`

# results matching ""

# No results matching ""